# .gitlab-ci.yml
stages: 
    - cml_run
    - train_and_report
    
cml:
    stage: cml_run
    image: iterativeai/cml:0-dvc2-base1
    
    script:
        - pip3 install -r requirements.txt
        - python train.py
          
        - echo "## MODEL METRICS" > report.md
        - cat metrics.txt >> report.md
    
        - echo "## Data viz" >> report.md
        - cml-publish feature_importance.png --md >> report.md
        - cml-publish residuals.png --md >> report.md

        - echo '![](./plot.png)' >> report.md
        - cml comment create --publish report.md 
        
train-and-report:
  stage: train_and_report
  image: iterativeai/cml:0-dvc2-base1
  script:
    - pip install -r requirements.txt
    - python train.py

    - echo "## MODEL METRICS" > report.md
    - cat metrics.txt >> report.md
    
    - echo "## Data viz" >> report.md
    - cml-publish feature_importance.png --md >> report.md
    - cml-publish residuals.png --md >> report.md

    - echo '![](./plot.png)' >> report.md
    - cml comment create --publish report.md
